[Metadata]
Name=Traffic Monitor
Author=MasterM
License=MIT
Version=1.0.0

[Rainmeter]
Update=500
AccurateText=1
DynamicWindowSize=1

[Variables]
@Include=#@#vars.inc
ColorSecondary=60,220,60,255
MaxDownByte=4689000;605500
MaxUpByte=1216000;66125
MaxPing=100

[Background]
Meter=Image
SolidColor=#ColorPrimary#
X=0
Y=0
W=120
H=60

[MeasureNetDown]
Measure=NetIn
NetInSpeed=#MaxDownByte#

[MeasureNetUp]
Measure=NetOut
NetOutSpeed=#MaxUpByte#

[MeasureIPL]
Measure=Plugin
Plugin=SysInfo
SysInfoType=IP_ADDRESS
SysInfoData=Best
DynamicVariables=1

;source: Network.ini of illustro package
[MeasureIP]
Measure=Plugin
Plugin=WebParser
Url=http://checkip.dyndns.org
UpdateRate=14400
RegExp=(?siU)Address: (.*)</body>
StringIndex=1
Substitute="":"N/A"

[MeasurePing]
Measure=Plugin
Plugin=PingPlugin
UpdateRate=1
DestAddress=www.google.com
MaxValue=#MaxPing#


[MeterSeperator75]
Group=default
Meter=Image
X=4
Y=14
W=112
H=1
SolidColor=#ColorPrimaryLight#

[MeterSeperator50]
Group=default
Meter=Image
X=4
Y=24
W=112
H=1
SolidColor=#ColorPrimaryLight#

[MeterSeperator25]
Group=default
Meter=Image
X=4
Y=34
W=112
H=1
SolidColor=#ColorPrimaryLight#

[MeterNetworkLine]
Group=default
Meter=Line
MeasureName=MeasureNetDown
MeasureName2=MeasureNetUp
MeasureName3=MeasurePing
X=4
Y=4
W=112
H=40
LineCount=3
Scale3=5000
LineColor=#ColorSecondary#
LineColor2=#ColorSecondary#
LineColor3=#ColorSecondary#
SolidColor=#ColorPrimaryLight#
AntiAlias=1
MouseOverAction=[!HideMeterGroup default][!ShowMeterGroup extra]
MouseLeaveAction=[!ShowMeterGroup default][!HideMeterGroup extra]

[MeterTextNetDown]
Group=default
Meter=String
Fontface=Roboto
MeasureName=MeasureNetDown
X=4
Y=47
W=30
H=10
StringAlign=Left
FontSize=7
FontColor=#ColorTextLight#
NumOfDecimals=1
AntiAlias=1
AutoScale=1
Text="D:%1B"
MouseOverAction=[!SetOption MeterNetworkLine LineColor2 0,0,0,0][!SetOption MeterNetworkLine LineColor3 0,0,0,0]
MouseLeaveAction=[!SetOption MeterNetworkLine LineColor2 #ColorSecondary#][!SetOption MeterNetworkLine LineColor3 #ColorSecondary#]

[MeterTextPing]
Group=default
Meter=String
Fontface=Roboto
MeasureName=MeasurePing
X=60
Y=47
W=30
H=10
StringAlign=Center
FontSize=7
FontColor=#ColorTextLight#
AntiAlias=1
Text="%1ms"
MouseOverAction=[!SetOption MeterNetworkLine LineColor 0,0,0,0][!SetOption MeterNetworkLine LineColor2 0,0,0,0]
MouseLeaveAction=[!SetOption MeterNetworkLine LineColor #ColorSecondary#][!SetOption MeterNetworkLine LineColor2 #ColorSecondary#]

[MeterTextNetUp]
Group=default
Meter=String
Fontface=Roboto
MeasureName=MeasureNetUp
X=116
Y=47
W=30
H=10
StringAlign=Right
FontSize=7
FontColor=#ColorTextLight#
NumOfDecimals=1
AntiAlias=1
AutoScale=1
Text="U:%1B"
MouseOverAction=[!SetOption MeterNetworkLine LineColor 0,0,0,0][!SetOption MeterNetworkLine LineColor3 0,0,0,0]
MouseLeaveAction=[!SetOption MeterNetworkLine LineColor #ColorSecondary#][!SetOption MeterNetworkLine LineColor3 #ColorSecondary#]

[MeterIPL]
Group=extra
Hidden=1
Meter=String
Fontface=Roboto
MeasureName=MeasureIPL
X=4
Y=4
W=30
H=10
FontSize=10
FontColor=#ColorTextLight#
AntiAlias=1
AutoScale=1

[MeterIP]
Group=extra
Hidden=1
Meter=String
Fontface=Roboto
MeasureName=MeasureIP
X=4
Y=20
W=30
H=10
FontSize=10
FontColor=#ColorTextLight#
AntiAlias=1
AutoScale=1
